@import 'src/assets/scss/_variables';
@import 'src/assets/scss/_mixins';
.experience {
    @include item;
    .itemContent {
        h2 {
            padding-top: 13rem;
            margin-bottom: 12rem;
        }
        .content {
            padding-bottom: 15rem;
            .dates {
                .length {
                    font-weight: 400;
                    font-size: 1.6rem;
                    line-height: 1.8rem;
                    color: #C6CBD2;
                }
            }
            .description {
                font-weight: 700;
                text-transform: uppercase;
                color: #121F31;
                line-height: 1.8rem;
                position: relative;
                max-width: 65rem;
                .item_01 {
                    display: inline-block;
                    margin-bottom: 1.7rem;
                    position: relative;
                    .position {
                        font-size: 2.4rem;
                        position: relative;
                        z-index: 10;
                    }
                    .bg {
                        @include line;
                        height: 1.9rem;
                        border-radius: 32px;
                        width: calc(100% + 1rem);
                        position: absolute;
                        top: 1rem;
                        left: -0.5rem;
                    }
                }
                .item_02 {
                    font-size: 1.8rem;
                    margin-bottom: 4.6rem;
                }
                .item_03 {
                    font-size: 1.4rem;
                    margin-bottom: 0.9rem;
                }
                .list_01 {
                    font-size: 1.6rem;
                    line-height: 2.9rem;
                    color: #121F31;
                    font-weight: 400;
                    text-transform: initial;
                    margin-bottom: 4.4rem;
                    list-style-type: none;
                    padding-left: 2rem;
                    &.utils {
                        li {
                            margin-bottom: 1.1rem;
                        }
                    }
                    span {
                        font-weight: 500;
                        font-size: 1.4rem;
                        line-height: 1.8rem;
                        text-transform: uppercase;
                        color: #5F6A7A;
                        margin-right: 0.9rem;
                    }
                }
                .icons {
                    position: absolute;
                    top: 0;
                    right: -20rem;
                    list-style-type: none;
                    padding: 0;
                    margin: 0;
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    width: 16.5rem;
                    li {
                        background-size: contain;
                        display: flex;
                        justify-content: flex-start;
                        width: 100%;
                        align-items: center;
                        margin-bottom: 2.2rem;
                        font-weight: 500;
                        font-size: 1.4rem;
                        line-height: 2.5rem;
                        font-variant: small-caps;
                        color: #C6CBD2;
                        &:before {
                            content: '';
                            width: 3.6rem;
                            height: 3.6rem;
                            background-color: transparent;
                            display: block;
                            margin-right: 1.7rem;
                        }
                        &.angular:before {
                            background: transparent url('../../../assets/angular.svg') no-repeat 50% 50%;
                        }
                        &.react:before {
                            background: transparent url('../../../assets/react.svg') no-repeat 50% 50%;
                        }
                        &.git:before {
                            background: transparent url('../../../assets/git.svg') no-repeat 50% 50%;
                        }
                        &.jira:before {
                            background: transparent url('../../../assets/jira.svg') no-repeat 50% 50%;
                        }
                        &.vue:before {
                            background: transparent url('../../../assets/vue.svg') no-repeat 50% 50%;
                        }
                        &.javascript:before {
                            background: transparent url('../../../assets/js.svg') no-repeat 50% 50%;
                        }
                        &.jquery:before {
                            background: transparent url('../../../assets/jquery.png') no-repeat 50% 50%;
                            background-size: contain;
                        }
                        &.vs:before {
                            background: transparent url('../../../assets/vs.svg') no-repeat 50% 50%;
                        }
                        &.html:before {
                            background: transparent url('../../../assets/html.svg') no-repeat 50% 50%;
                        }
                        &.css:before {
                            background: transparent url('../../../assets/css.svg') no-repeat 50% 50%;
                        }
                        &.photoshop:before {
                            background: transparent url('../../../assets/photoshop.svg') no-repeat 50% 50%;
                        }
                        &.eclipse:before {
                            background: transparent url('../../../assets/eclipse.png') no-repeat 50% 50%;
                        }
                    }
                }
            }
        }
    }
}

@media print {
    .experience {
        margin-bottom: 0.4rem;
        @include itemPrint;
        .itemContent {
            h2 {
                padding: 0;
                margin: 0;
            }
            .content {
                padding: 0;
                .dates {
                    .length {
                        font-size: 0.8rem;
                        line-height: 1.44rem;
                    }
                }
                .description {
                    max-width: 100%;
                    .item_01 {
                        display: inline-block;
                        margin: 0;
                        position: relative;
                        .position {
                            font-size: 1.2rem;
                            line-height: 1.8rem;
                            margin-bottom: 0;
                        }
                        .bg {
                            display: none;
                        }
                    }
                    .item_02 {
                        font-size: 0.9rem;
                        line-height: 1.6rem;
                        margin-bottom: 0.4rem;
                    }
                    .list_01 {
                        font-size: 0.8rem;
                        line-height: 1.4rem;
                        margin-bottom: 0.4rem;
                    }
                    .item_03,
                    .utils li,
                    .icons {
                        display: none;
                    }
                    .utils {
                        margin-bottom: 2.65rem;
                        li.print {
                            display: inline-block;
                            font-size: 0.8rem;
                            line-height: 1.4rem;
                            font-weight: 700;
                            margin: 0;
                            text-transform: uppercase;
                            &::before {
                                content: ', ';
                                display: inline-block;
                            }
                            &:first-child::before {
                                content: 'TECH: ';
                                display: inline-block;
                            }
                            span {
                                display: none;
                            }
                        }
                    }
                }
            }
        }
    }
}